## org.eclipse.datatools.modelbase.sql.tables
Class ActionGranularityType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.tables.ActionGranularityType

    public final class ActionGranularityType

extends AbstractEnumerator

A representation of the literals of the enumeration 'Action Granularity Type', and utility methods for working with them. Reference: 5WD-02-Foundation-2002-12 4.38 Triggers

See Also:
  `SQLTablesPackage.getActionGranularityType()`

Field Summary
`static int` `ROW` The 'ROW' literal value.
`static ActionGranularityType` `ROW_LITERAL` The 'ROW' literal object.
`static int` `STATEMENT` The 'STATEMENT' literal value.
`static ActionGranularityType` `STATEMENT_LITERAL` The 'STATEMENT' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Action Granularity Type' enumerators.

Method Summary
`static ActionGranularityType` `get(int value)` Returns the 'Action Granularity Type' literal with the specified integer value.
`static ActionGranularityType` `get(java.lang.String literal)` Returns the 'Action Granularity Type' literal with the specified literal value.
`static ActionGranularityType` `getByName(java.lang.String name)` Returns the 'Action Granularity Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATEMENT

    public static final int STATEMENT

  The 'STATEMENT' literal value.

  See Also:
    `STATEMENT_LITERAL`, Constant Field Values

### ROW

    public static final int ROW

  The 'ROW' literal value.

  See Also:
    `ROW_LITERAL`, Constant Field Values

### STATEMENT_LITERAL

    public static final ActionGranularityType STATEMENT_LITERAL

  The 'STATEMENT' literal object.

  If the meaning of 'STATEMENT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `STATEMENT`

### ROW_LITERAL

    public static final ActionGranularityType ROW_LITERAL

  The 'ROW' literal object.

  If the meaning of 'ROW' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ROW`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Action Granularity Type' enumerators.

Method Detail

### get

    public static ActionGranularityType get(java.lang.String literal)

  Returns the 'Action Granularity Type' literal with the specified literal value.

### getByName

    public static ActionGranularityType getByName(java.lang.String name)

  Returns the 'Action Granularity Type' literal with the specified name.

### get

    public static ActionGranularityType get(int value)

  Returns the 'Action Granularity Type' literal with the specified integer value.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.